# NoSuchSceneException (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.util
Class NoSuchSceneException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.threerings.whirled.util.NoSuchSceneException

All Implemented Interfaces:
  Serializable

    public class NoSuchSceneException

extends Exception

Thrown when an attempt to load a non-existent scene is made on the repository.

See Also:
  Serialized Form

Constructor Summary
`NoSuchSceneException(int sceneid)`

Method Summary
`int` `getSceneId()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchSceneException

    public NoSuchSceneException(int sceneid)

Method Detail

### getSceneId

    public int getSceneId()

Copyright © 2011. All Rights Reserved.